/**********************************************************************
 *
 * statusaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: statusaction.h 172 1999-02-25 21:59:02Z rjmcnab $
 *
 *********************************************************************/


#ifndef STATUSACTION_H
#define STATUSACTION_H


#include "gsdlconf.h"
#include "action.h"
#include "receptionist.h"


class statusaction : public action {
protected:
  bool disabled;
  receptionist *recpt;

public:
  statusaction ();
  virtual ~statusaction ();

  text_t get_action_name () {return "status";}
  void set_receptionist (receptionist *therecpt) {recpt=therecpt;}
  bool check_cgiargs (cgiargsclass &args, ostream &logout);
  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);
  bool do_action (cgiargsclass &args, recptproto *collectproto,
		  displayclass &disp, outconvertclass &outconvert, 
		  ostream &textout, ostream &logout);

  void configure (const text_t &key, const text_tarray &cfgline);
};


#endif
