/**********************************************************************
 *
 * pageaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: pageaction.h 172 1999-02-25 21:59:02Z rjmcnab $
 *
 *********************************************************************/


#ifndef PAGEACTION_H
#define PAGEACTION_H


#include "gsdlconf.h"
#include "action.h"


class pageaction : public action {
protected:
  void define_internal_macros (displayclass &disp, cgiargsclass &args, 
			       ostream &logout);
  void define_query_macros (displayclass &disp, cgiargsclass &args,
			    ostream &logout);
  void define_pref_macros (displayclass &disp, cgiargsclass &args, 
			   ostream &logout);
  
public:
  pageaction ();
  virtual ~pageaction ();

  text_t get_action_name () {return "p";}
  bool check_cgiargs (cgiargsclass &args, ostream &logout);
  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);
  bool do_action (cgiargsclass &args, recptproto *collectproto,
		  displayclass &disp, outconvertclass &outconvert, 
		  ostream &textout, ostream &logout);
};


#endif
